Full documentation for this service is available at /documentation/restricted-service.
LeaveOrderFeedbackToBuyer |WebMethod|
Leaves feedback for an order to buyer.
Parameters
- orderNumber, The OrderNumber to leave feedback for.
- comment, A freetext comment (80 characters)
- type, Type of feedback to leave: Positive or Negative
SOAP 1.1
The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/RestrictedService.asmx HTTP/1.1 Host: api.tradera.com Content-Type: text/xml; charset=utf-8 SOAPAction: "http://api.tradera.com/LeaveOrderFeedbackToBuyer" Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <LeaveOrderFeedbackToBuyer xmlns="http://api.tradera.com"> <orderNumber>orderNumber</orderNumber> <comment>comment</comment> <type>type</type> </LeaveOrderFeedbackToBuyer> </soap:Body> </soap:Envelope>
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <LeaveOrderFeedbackToBuyerResponse xmlns="http://api.tradera.com"> <LeaveOrderFeedbackToBuyerResult>result</LeaveOrderFeedbackToBuyerResult> </LeaveOrderFeedbackToBuyerResponse> </soap:Body> </soap:Envelope>
SOAP 1.2
The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/RestrictedService.asmx HTTP/1.1 Host: api.tradera.com Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <LeaveOrderFeedbackToBuyer xmlns="http://api.tradera.com"> <orderNumber>orderNumber</orderNumber> <comment>comment</comment> <type>type</type> </LeaveOrderFeedbackToBuyer> </soap12:Body> </soap12:Envelope>
HTTP/1.1 200 OK Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <LeaveOrderFeedbackToBuyerResponse xmlns="http://api.tradera.com"> <LeaveOrderFeedbackToBuyerResult>result</LeaveOrderFeedbackToBuyerResult> </LeaveOrderFeedbackToBuyerResponse> </soap12:Body> </soap12:Envelope>
HTTP GET
The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.
GET /v3/RestrictedService.asmx/LeaveOrderFeedbackToBuyer?appId=string&appKey=string&orderNumber=string&comment=string&type=string HTTP/1.1 Host: api.tradera.com
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <LeaveOrderFeedbackToBuyerResult xmlns="http://api.tradera.com">result</LeaveOrderFeedbackToBuyerResult>
HTTP POST
The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.
POST /v3/RestrictedService.asmx/LeaveOrderFeedbackToBuyer HTTP/1.1 Host: api.tradera.com Content-Type: application/x-www-form-urlencoded Content-Length: length appId=string&appKey=string&orderNumber=string&comment=string&type=string
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <LeaveOrderFeedbackToBuyerResult xmlns="http://api.tradera.com">result</LeaveOrderFeedbackToBuyerResult>